
Redmine - Defect #1949

Milestones after Migration from Trac to Redmine are not marked as closed

2008-09-25 21:17 - Karl Heinz Marbaise

Status: Closed Start date: 2008-09-25

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Importers Estimated time: 0.00 hour

Target version: 0.8   

Resolution: Fixed Affected version:  

Description

During a test migration from Trac to Readmine it occured that the milestones which in trac marked as closed will be left open in

Redmine.

Based on which criteria will be a milestone (entry in Roadmap) be closed?

Related issues:

Related to Redmine - Patch #2050: Summarization of #1949, #1950 and #2023 Closed 2008-10-19

Related to Redmine - Patch #2114: Fixed Bugs in Importer Area New

History

#1 - 2008-10-08 04:14 - Karl Heinz Marbaise

- File ticket-1949.patch added

Hi,

i have create a short patch to solve the described problem.

The patch will use the "completed" date instead of "due" date, cause the completed date will give the correct timepoint of closing a ticket.

#2 - 2008-10-08 04:17 - Karl Heinz Marbaise

Hi,

BTW the patch is tested with trac 0.11

#3 - 2008-10-10 22:53 - Karl Heinz Marbaise

- Target version set to 0.8

#4 - 2008-10-19 10:59 - Karl Heinz Marbaise

- Status changed from New to Resolved

#5 - 2008-11-11 14:22 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Resolution set to Fixed

Committed in r2011.

Files

ticket-1949.patch 1.88 KB 2008-10-08 Karl Heinz Marbaise
